Gecode::Int::TaskTraits< Cumulative::OptFixPSETask > Class Reference

Task traits for optional fixed tasks. More...

`#include <cumulative.hh>`

## Public Types

typedef Cumulative::OptFixPSETaskFwd | TaskViewFwd
| The forward task view type.
typedef Cumulative::OptFixPSETaskBwd | TaskViewBwd
| The backward task view type.
typedef Cumulative::ManFixPSETask | ManTask
| The corresponding mandatory task.
typedef Unary::OptFixPSETask | UnaryTask
| The corresponding unary task type.

## Detailed Description

Task traits for optional fixed tasks.

Definition at line 504 of file cumulative.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Cumulative::OptFixPSETaskFwd Gecode::Int::TaskTraits< Cumulative::OptFixPSETask >::TaskViewFwd

The forward task view type.

Definition at line 507 of file cumulative.hh.

## TaskViewBwd

typedef Cumulative::OptFixPSETaskBwd Gecode::Int::TaskTraits< Cumulative::OptFixPSETask >::TaskViewBwd

The backward task view type.

Definition at line 509 of file cumulative.hh.

## ManTask

typedef Cumulative::ManFixPSETask Gecode::Int::TaskTraits< Cumulative::OptFixPSETask >::ManTask

The corresponding mandatory task.

Definition at line 511 of file cumulative.hh.

## UnaryTask

typedef Unary::OptFixPSETask Gecode::Int::TaskTraits< Cumulative::OptFixPSETask >::UnaryTask

The corresponding unary task type.

Definition at line 513 of file cumulative.hh.

The documentation for this class was generated from the following file:

- gecode/int/cumulative.hh